Update a specific escalation policy by id
curl --request PUT \
--url https://api.rootly.com/v1/escalation_policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_policies",
"attributes": {
"name": "<string>",
"description": "<string>",
"repeat_count": 123,
"group_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"business_hours": {
"time_zone": "International Date Line West",
"days": [
"M"
],
"start_time": "<string>",
"end_time": "<string>"
}
}
}
}
'{
"data": {
"id": "<string>",
"type": "escalation_policies",
"attributes": {
"name": "<string>",
"repeat_count": 123,
"created_by_user_id": 123,
"description": "<string>",
"last_updated_by_user_id": 123,
"group_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"business_hours": {
"time_zone": "International Date Line West",
"days": [
"M"
],
"start_time": "<string>",
"end_time": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
escalation policy updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/escalation_policies/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "escalation_policies",
"attributes": {
"name": "<string>",
"description": "<string>",
"repeat_count": 123,
"group_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"business_hours": {
"time_zone": "International Date Line West",
"days": [
"M"
],
"start_time": "<string>",
"end_time": "<string>"
}
}
}
}
'{
"data": {
"id": "<string>",
"type": "escalation_policies",
"attributes": {
"name": "<string>",
"repeat_count": 123,
"created_by_user_id": 123,
"description": "<string>",
"last_updated_by_user_id": 123,
"group_ids": [
"<string>"
],
"service_ids": [
"<string>"
],
"business_hours": {
"time_zone": "International Date Line West",
"days": [
"M"
],
"start_time": "<string>",
"end_time": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}
}
}